package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * @TableName SHORELINE_MANAGE
 */
@Data
@TableName("GHJG_CHANNEL.SHORELINE_MANAGE")
public class ShorelineManage {

    /**
     *
     */
    @TableField("OBJECTID")
    private Long objectid;
    /**
     *
     */
    @TableField("LINE_CODE")
    private String lineCode;
    /**
     *
     */
    @TableField("EXEQUATUR_CODE")
    private String exequaturCode;
    /**
     *
     */
    @TableField("LINE_APPROVE_TYPE")
    private String lineApproveType;
    /**
     *
     */
    @TableField("CERTIFICATION_STATUS")
    private String certificationStatus;
    /**
     *
     */
    @TableField("LINE_USER")
    private String lineUser;
    /**
     *
     */
    @TableField("CONTACT_ADDRESS")
    private String contactAddress;
    /**
     *
     */
    @TableField("LINE_LOCATION")
    private String lineLocation;
    /**
     *
     */
    @TableField("APPROVED_LENGTH")
    private BigDecimal approvedLength;
    /**
     *
     */
    @TableField("MTQYSH")
    private String mtqysh;
    /**
     *
     */
    @TableField("MAIN_USE")
    private String mainUse;
    /**
     *
     */
    @TableField("NEAR_UP_USER")
    private String nearUpUser;
    /**
     *
     */
    @TableField("NEAR_DOWN_USER")
    private String nearDownUser;
    /**
     *
     */
    @TableField("CARD_FILL_UNIT")
    private String cardFillUnit;
    /**
     *
     */
    @TableField("AUTHORITY_ORZ")
    private String authorityOrz;
    /**
     *
     */
    @TableField("ISSUE_DATE")
    private Date issueDate;
    /**
     *
     */
    @TableField("EFFECTIVE_DATE")
    private Date effectiveDate;
    /**
     *
     */
    @TableField("EFFECTIVE_YEAR")
    private String effectiveYear;
    /**
     *
     */
    @TableField("BELONG_AREA")
    private String belongArea;
    /**
     *
     */
    @TableField("BELONG_STATION")
    private String belongStation;
    /**
     *
     */
    @TableField("MAJOR_WATER_AREA_FACILITY")
    private String majorWaterAreaFacility;
    /**
     *
     */
    @TableField("CONTROL_A_X")
    private String controlAX;
    /**
     *
     */
    @TableField("CONTROL_A_Y")
    private String controlAY;
    /**
     *
     */
    @TableField("CONTROL_B_X")
    private String controlBX;
    /**
     *
     */
    @TableField("CONTROL_B_Y")
    private String controlBY;
    /**
     *
     */
    @TableField("EXPLAIN")
    private String explain;
    /**
     *
     */
    @TableField("LONGITUDE")
    private String longitude;
    /**
     *
     */
    @TableField("LATITUDE")
    private String latitude;
    /**
     *
     */
    @TableField("REMARK")
    private String remark;
    /**
     *
     */
    @TableField("BELONG_COUNTRY")
    private String belongCountry;
    /**
     *
     */
    @TableField("UPDATE_STATUS")
    private String updateStatus;
    /**
     *
     */
    @TableField("LOCATION")
    private String location;
    /**
     *
     */
    @TableField("LINE_TYPE")
    private String lineType;

    @TableField("FBDATE")
    private Date fbDate;
    @TableField("SAVE_DATE")
    private Date saveDate;
    @TableField("IS_SUBMIT")
    private Integer isSubmit;
    @TableField("IS_UPDATE")
    private Integer isUpdate;

    @TableField("UPDATE_USER")
    private String updateUser;
    @TableField("ID")
    private String id;
    @TableId("CODE")
    private String code;
}
